%------------------------------------------------------------------------
% Function to define the derviateive of Polynomial model for CRF estimation
%------------------------------------------------------------------------
function Y = crf_poly_deriv(X, coeffs)
coeffs    = coeffs(:);
numcoeffs = numel(coeffs);
if numcoeffs == 1
    c1  = coeffs(1);
    Y   = 1 + c1.*(1-(2.*X));
elseif numcoeffs == 2
    c1  = coeffs(1);
    c2  = coeffs(2);
    Y   = 1 + c2.*(1-(2.*X)) + c1.*((2.*X)-(3.*X.^2));
else
    error('Poly model with more coeefs Not implemented yet!');
end
