function [gamma_pred, distss_min] = predGammaFromDistssMinima(gamma_range, distss, min_prom)
    if nargin<3
        min_prom = 0;
    end
    if exist('islocalmin', 'builtin') == 2 
        [is_min, min_proms] = islocalmin(distss, 'MinProminence', min_prom);
        gamma_pred = gamma_range(is_min);
        distss_min = distss(is_min);
        num_preds  = numel(gamma_pred);
        if(num_preds == 0)
            %[~, temp_id]= min(distss); 
            gamma_pred  = 1.0;%gamma_range(temp_id);
            distss_min  = NaN;%disss(temp_id);
        elseif(num_preds > 1)
            % warning('More than one minima for gamma prediction!\n');
            % choose the minima with the max prominence
            gamma_pred = gamma_range(min_proms == max(min_proms));
            distss_min = distss(min_proms == max(min_proms));
        end
        %fprintf('gamma_pred=%f, distss_min=%f\n', gamma_pred, distss_min);
    else
        [~, locs_min, ~, min_proms] = findpeaks(-distss);
        num_preds = numel(locs_min);
        if num_preds == 0
            gamma_pred = 1.0;
            distss_min = NaN;
        elseif num_preds == 1
            gamma_pred = gamma_range(locs_min);
            distss_min = distss(locs_min);
        elseif num_preds > 1
            gamma_pred = gamma_range(min_proms == max(min_proms));
            distss_min = distss(min_proms == max(min_proms));
        end
    end 
end
